﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" Title="ASP.NET AJAX Control Toolkit Daily News" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
    
    <style type="text/css">
    
        BODY {
            font-family:verdana;
        }
        
        .header {
            border-top: thin solid black;
            border-bottom: thin solid black;
            text-align:center;            
            font-weight:normal;   
            font-size:large;        
            
        }
        
        H1  {
            text-align:center;
            font-size: xx-large;
            font-weight:bold;    
        }
        
        H2 {
            font-size:48pt;
            font-family:arial;
            text-align:center;
            font-weight:bold;
        }
        
        H3 {
            text-align:center;
            font-size:large;
        }
        
        H4 {
            text-align:center;
        }
        
        
        
        
        .panelHover {            
        }
        
        
        .popup {
           background-color:#EEE;
           border: #CCC solid 1px;
           padding:2px;   
           width:40px;
        }
        
        .popup INPUT {
            float:left;
            width:20px;
            height:20px;
        }    
               
        
        .panelNormal {           
            padding:3px;                                         
            border-bottom: 1px #DDD dotted;
        }
        
        .panelNormal IMG {
            margin:3px;
        }
        
        .panelColumn {            
            margin:5px; 
            width:31%; 
            float:left;          
        }
        
        .panelLeftColumn {            
            border-right: 1px #DDD dotted;            
        }
        
        .panelRightColumn {
            float:right;
        }
        
       
    </style>
</head>
<body>
    <form id="form1" runat="server">
        
        
        <h1>AJAX Control Toolkit News</h1>        
        <div class="header">ASP.NET Connections Edition -- <i>November 7th, 2006 -- Las Vegas, Nevada</i></div>
        
        <asp:ScriptManager ID="ScriptManager1" runat="server" />

            
            
            <div class="panelNormal">
                <h2>AJAX Control Toolkit Ships!</h2>
                <h4>More power for your apps!</h4>
                <asp:Panel ID="pnlMainStory" runat="server">
                <p><asp:Image ID="Image2" runat="server" ImageUrl="~/images/samplesite.jpg" ImageAlign="left" />REDMOND, WA, 7 November, 2006 -- The AJAX Control Toolkit has released a new version to coincide with the ASP.NET AJAX Beta 2 release.  This exciting new release continues the tradition of delivering rapid value to customers with innovative new types of products. </p>
                <p>The AJAX Control Toolkit not only helps page developers improve the experience of their UI, but it also allows component developers to quickly and easily create new components as well.</p>
                </asp:Panel>
            </div>
            
            <div style="clear:both">
           <div class="panelNormal panelColumn panelLeftColumn">
                <h3>
                   What is ASP.NET AJAX?</h3>
                   
                    <asp:Panel runat="server" ID="pnlLeftColumn">
                <p>
                    REDMOND, WA, 7 November, 2006 -- With <a href="http://ajax.asp.net/">
                        ASP.NET AJAX</a>, developers can quickly create pages with rich, responsive
                    UI and more efficient client-server communication by simply adding a few server
                    controls to their pages. This new Web development technology from Microsoft integrates
                    cross-browser client script libraries with the ASP.NET 2.0 development framework.
                    <a href="http://ajax.asp.net/">
                        ASP.NET AJAX</a> provides developers building client-based Web experiences with
                    a familiar development process and programming model that they already know from
                    using server-side ASP.NET development. Because ASP.NET AJAX is integrated with ASP.NET,
                    developers have full access to the built-in ASP.NET 2.0 application services and
                    the entire .NET Framework.</p>
                <p>
                    <a href="http://ajax.asp.net/">
                        ASP.NET AJAX</a> is not just for ASP.NET developers. Developers targeting other
                    server frameworks can take advantage of the <a href="http://ajax.asp.net/">
                        Microsoft AJAX Library</a> and reap the productivity benefits it provides. The
                    <a href="http://ajax.asp.net/">Microsoft AJAX Library</a>
                    is a standalone collection of the standards-based JavaScript classes included in
                    ASP.NET AJAX. It's supported by most popular browsers and can be used to build client-centric
                    Web applications that integrate with any backend data provider.</p>
                <p>
                    With its integrated, multi-browser support, uniform client programming model and
                    powerful server controls, ASP.NET AJAX makes incorporating AJAX functionality into
                    Web sites, big or small, simpler than ever before. To see how some companies have
                    already done this, visit the <a href="http://ajax.asp.net/" title="ASP.NET AJAX Showcase">
                        ASP.NET AJAX showcase</a>. To see what features are currently available in the
                    Beta, refer to the details on the Feature Matrix page.</p>
              
                </asp:Panel>               
                
            </div>
            
             <div class="panelNormal panelColumn panelLeftColumn">
                <h3>
                   AJAX Control Toolkit Offers Great Controls!</h3>
                   
                    <asp:Panel runat="server" ID="pnlMiddleColumn">
                        <p>
                            In the ASP.NET AJAX Control Toolkit, you'll find the following controls and extenders
                            (click the links to see them in action!):</p>
                        <ul>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit" target="_top">
                                Accordion</a>: Create efficient UI from multiple panes with this animated control.
                            </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit"
                                target="_top">AlwaysVisibleControl</a>: Docks a panel to a corner of the browser
                                window and keeps it visible even when the user scrolls. </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit" target="_top">
                                Animation</a>: Adds powerful, easy to use animations to any element or control.
                            </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit"
                                target="_top">CascadingDropDown</a>: Easily link drop downs, complete with asynchronous
                                population and no postbacks! </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit"
                                target="_top">CollapsiblePanel</a>: This extender allows panels on your page to
                                collapse and expand with no code. </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit"
                                target="_top">ConfirmButton</a>: This extender adds a confirm dialog to any Button,
                                LinkButton, or ImageButton control. </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit" target="_top">
                                DragPanel</a>: Makes any panel into an object that you can drag around the page.
                            </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit" target="_top">
                                <span style="font-weight: bold; color: red">New! </span>DropDown</a>: This extender
                                can wrap any control to provide a SharePoint-style drop-down menu that is attached
                                to the control. </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit" target="_top">
                                DropShadow</a>: This extender adds attractive drop shadows to any control on the
                                page </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit"
                                target="_top">DynamicPopulate</a>: Replace the contents of a page element with the
                                result of a web-service call. </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit"
                                target="_top">FilteredTextBox</a>: Restrict the types of input that text boxes will
                                accept. </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit" target="_top">
                                HoverMenu</a>: Allows UI to pop up next to a control when the mouse hovers over
                                it. </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit" target="_top">
                                ModalPopup</a>: Allows you to show styled modal UI without using HTML dialogs. </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit"
                                target="_top"><span style="font-weight: bold; color: red">New! </span>MutuallyExlcusiveCheckBox</a>:
                                By adding a number of checkboxes to the same "Key", only one checkbox with the specified
                                key can be checked at a time. </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit" target="_top">NoBot</a>:
                                Applies simple rules to prevent automated bots or scripts from posting to a page.
                            </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit"
                                target="_top">NumericUpDown</a>: Allow users to easily increase and decrease values
                                using the mouse to scroll through values. </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit"
                                target="_top">PagingBulletedList</a>: Add paging and sorting to long bulleted lists.
                            </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit"
                                target="_top">PasswordStrength</a>: Give your users visual cues to help them create
                                secure passwords. </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit"
                                target="_top">PopupControl</a>: This extender turns any panel into a popup. </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit" target="_top">
                                Rating</a>: Let your users easily give feedback by rating content with this easy-to-use
                                control. </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit" target="_top">
                                ReorderList</a>: This control is a full-featured data-bound control that allows
                                its elements to be reordered on the client via drag and drop. </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit"
                                target="_top">ResizableControl</a>: Allow users to dynamically resize content, right
                                in the browser. </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit"
                                target="_top">RoundedCorners</a>: Rounds the corners of any control for a clean,
                                professional look! </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit" target="_top">
                                Slider</a>: Adds an elegant scrollbar-like user interface for setting numeric values.
                            </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit"
                                target="_top">TextBoxWatermark</a>: This extender adds "watermark" prompt text to
                                TextBoxes on the page. </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit"
                                target="_top">ToggleButton</a>: This extender turns an ASP.NET CheckBox into an
                                image checkbox. </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit"
                                target="_top">UpdatePanelAnimation</a>: Animates page elements corresponding to
                                hidden postback activity. </li>
                            <li style="margin-top: 6px"><a href="http://ajax.asp.net/ajaxtoolkit"
                                target="_top"><span style="font-weight: bold; color: red">New! </span>ValidatorCallout</a>:
                                This extender enhances the functionality of existing ASP.NET validators. </li>
                        </ul>
                    </asp:Panel>
              </div>
              
               <div class="panelNormal panelColumn panelRightColumn" >
                <h3>
                   AJAX Control Toolkit Team Abducted By Aliens</h3>
                   
                   <div style="text-align:center;"> 
                   <asp:Image ID="Image1" runat="server" Width="50%" ImageUrl="~/images/image_013.jpg" />
                   </div>
                   
                    <asp:Panel runat="server" ID="pnlRightColumn">
                    
                    <p>REDMOND, WA, October 31, 2006 -- Sources near Redmond have confirmed that the AJAX Control Toolkit team has been abducted by aliens.  </p>
                    
                    <p>Reports confirm the team has been involved in unusual activities, including posting source code online, releasing bits regularly, and taking code contributions from the community.</p>
                    
                    <p>Neighboring teams agree.  An anonymous source tells us "They've been doing some unusual stuff over there.  If something happened to them, that's probably why."  We're looking for more information.</p>
                    
                    <p>The team was last seen late on the night of October 19th, finishing a massive set of changes in preparation for the release of the ASP.NET AJAX Beta product.  The work was completed on time, causing one insider to remark "There is just no way that those guys could have gotten that much work done.  They must have had some 'help', if you know what I mean."  And we think we do.</p>
                    
                    <p>If you have information about this event, please don't hesitate to contact the authorities at <a href="http://ajax.asp.net/ajaxtoolkit">http://ajax.asp.net/ajaxtoolkit</a></p>
                    </asp:Panel>
              </div>
        
        </div>
      
        
    
        
       
       
    </form>    
</body>
</html>
